com.microfocus.awm.meta.interfaces

## Interface AWMIdentifiableObject

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, IFunctionPackageDefinable, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    ActionDescriptor, ElementListStructure, ElementType, FileDescriptor, FilterType, FunctionPackage, FunctionPackageIcon, GlobalAction, Icon, IDDefinition, LinkedElementType, LinkedProperty, PredefinedIcon, Property, ToolDescriptor
  All Known Implementing Classes:
    ActionDescriptorImpl, AWMIdentifiableObjectImpl, ElementListStructureImpl, ElementTypeImpl, FileDescriptorImpl, FilterTypeImpl, FunctionPackageIconImpl, FunctionPackageImpl, GlobalActionImpl, IconImpl, IDDefinitionImpl, LinkedElementTypeImpl, LinkedPropertyImpl, PredefinedIconImpl, PropertyImpl, ToolDescriptorImpl

      public interface AWMIdentifiableObject
      extends AWMObject, IFunctionPackageDefinable

  The following features are supported:

  - `ID`
  - `Model Editor Group`
  See Also:
    `TaurusPackage.getAWMIdentifiableObject()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getID()` Returns the value of the 'ID' attribute.
    `java.lang.String` | `getModelEditorGroup()` Returns the value of the 'Model Editor Group' attribute.
    `boolean` | `isSetModelEditorGroup()` Returns whether the value of the '`Model Editor Group`' attribute is set.
    `void` | `setID(java.lang.String value)` Sets the value of the '`ID`' attribute.
    `void` | `setModelEditorGroup(java.lang.String value)` Sets the value of the '`Model Editor Group`' attribute.
    `void` | `unsetModelEditorGroup()` Unsets the value of the '`Model Editor Group`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getID

          java.lang.String getID()

      Returns the value of the 'ID' attribute.
      Returns:
        the value of the 'ID' attribute.
      See Also:
        `setID(String)`, `TaurusPackage.getAWMIdentifiableObject_ID()`

    - #### setID

          void setID(java.lang.String value)

      Sets the value of the '`ID`' attribute.
      Parameters:
        `value` - the new value of the 'ID' attribute.
      See Also:
        `getID()`

    - #### getModelEditorGroup

          java.lang.String getModelEditorGroup()

      Returns the value of the 'Model Editor Group' attribute.
      Returns:
        the value of the 'Model Editor Group' attribute.
      See Also:
        `isSetModelEditorGroup()`, `unsetModelEditorGroup()`, `setModelEditorGroup(String)`, `TaurusPackage.getAWMIdentifiableObject_ModelEditorGroup()`

    - #### setModelEditorGroup

          void setModelEditorGroup(java.lang.String value)

      Sets the value of the '`Model Editor Group`' attribute. The given group name will be trimmed, and if the trimmed name is empty `null` will be set.
      Parameters:
        `value` - the new value of the 'Model Editor Group' attribute.
      See Also:
        `isSetModelEditorGroup()`, `unsetModelEditorGroup()`, `getModelEditorGroup()`

    - #### unsetModelEditorGroup

          void unsetModelEditorGroup()

      Unsets the value of the '`Model Editor Group`' attribute.
      See Also:
        `isSetModelEditorGroup()`, `getModelEditorGroup()`, `setModelEditorGroup(String)`

    - #### isSetModelEditorGroup

          boolean isSetModelEditorGroup()

      Returns whether the value of the '`Model Editor Group`' attribute is set.
      Returns:
        whether the value of the 'Model Editor Group' attribute is set.
      See Also:
        `unsetModelEditorGroup()`, `getModelEditorGroup()`, `setModelEditorGroup(String)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.